commit: 0e78c8d05c5eefa8dc3ebbf64c220d43cd2e90a1
Author: Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Fri Oct 14 12:29:44 2016 +0000
Commit: Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Fri Oct 14 12:29:51 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0e78c8d0
media-sound/sndpeek: update to eapi5 and add REQUIRED_USE, bug #581548
Package-Manager: portage-2.3.2
media-sound/sndpeek/sndpeek-1.4.ebuild | 12 +++---------
1 file changed, 3 insertions(+), 9 deletions(-)
diff --git a/media-sound/sndpeek/sndpeek-1.4.ebuild
b/media-sound/sndpeek/sndpeek-1.4.ebuild
index 5c4cdc3..18dfcd6 100644
--- a/media-sound/sndpeek/sndpeek-1.4.ebuild
+++ b/media-sound/sndpeek/sndpeek-1.4.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
-EAPI=2
+EAPI=5
inherit eutils toolchain-funcs
DESCRIPTION="real-time audio visualization"
@@ -25,6 +25,7 @@ RDEPEND="media-libs/freeglut
alsa? ( media-libs/alsa-lib )
app-eselect/eselect-sndpeek"
DEPEND="${RDEPEND}"
+REQUIRED_USE="|| ( alsa jack oss )"
src_prepare() {
epatch "${FILESDIR}"/${PN}-1.3-makefile.patch \
@@ -32,13 +33,6 @@ src_prepare() {
"${FILESDIR}"/${P}-ldflags.patch
}
-pkg_setup() {
- if ! use alsa && ! use jack && ! use oss; then
- eerror "One of the following USE flags is needed: jack, alsa or
oss"
- die "Please set one audio engine type"
- fi
-}
-
compile_backend() {
backend=$1
cd "${S}/src/sndpeek"